package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.HousingTrust;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.HousingTrustMapper")
public interface HousingTrustMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(HousingTrust record);

    HousingTrust selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(HousingTrust record);

    List<HousingTrust> queryAllHousingTrust(HousingTrust record);

    List<HousingTrust> queryHousingTrustByPage(Map<String, Object> parameter);

    int delete(String id);

    HousingTrust queryHousingTrust(HousingTrust record);

    List<HousingTrust> query(HousingTrust record);
}

